RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003987USAF[All Projects] Generalpublic2018-02-14 20:542018-05-27 21:20
ReporterEagleByte 
Assigned Toreyhard 
PriorityhighSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version0.4.5 
Target VersionFixed in Version0.4.6 
Summary0003987: PhysX crash on client, crashes server upon DC
DescriptionClient crashes with bad_module error, upon complete disconnect, the server crashes with it. This only occurs with RHS jets.

All signs are pointing to PhysX being the culprit.

Logs are attached from both server and client
Steps To Reproduce1. Setup server
2. Fly RHS Jets
3. Crash jets repeatedly until client crashes (bad_module crash)
4. Server console says you are losing connection
5. Server console says you finally disconnected
6. Server crashes
Additional InformationLast lines on the server logs:

Get matrix of physx actor is not valid! Object: 22de9d20080# 1814359: f22_canopy.p3d, rhs_f22_canopy, Local
Get matrix of physx actor is not valid! Object: 22de9d20080# 1814359: f22_canopy.p3d, rhs_f22_canopy, Local
TagsNo tags attached.
Is it a wish/request?No
Arma 3 version1.80
Did you used any other mod when the error occurred?Yes
Which mods?JSRS
Attached Files? file icon arma3server_x64_2018-02-14_09-16-22.rpt [^] (196,817 bytes) 2018-02-14 20:54
? file icon Arma3_x64_2018-02-14_12-38-36.rpt [^] (205,409 bytes) 2018-02-14 20:58
zip file icon Crash RPTs.zip [^] (70,680 bytes) 2018-02-15 16:39
? file icon RHS_Su25SM_vvs.rpt [^] (202,412 bytes) 2018-02-15 17:05

- Relationships

-  Notes
(0007460)
reyhard (administrator)
2018-02-15 08:34
edited on: 2018-02-15 08:34

is it only F22? is it happening without infiSTAR enabled on server?

(0007464)
EagleByte (reporter)
2018-02-15 16:10
edited on: 2018-02-15 17:05

I was able to replicate the client crash within the editor on Altis in 5 attempts of crashing, ejecting and having the jet crash. Only mods that were running were RHS mods. No useful error message in the logs, as it only seems to come up randomly.

It occurs with the following (classname - attempts to reproduce):

rhsusf_f22 - 5
RHS_T50_vvs_generic - 16
RHS_Su25SM_vvs - 11

It does not occur with the following (after 20 attempts):

RHS_A10
rhs_mig29s_vvs
rhs_l39_cdf
rhs_l159_CDF

(0007465)
reyhard (administrator)
2018-02-15 16:34

could you also attach client crash .rpt with only rhs loaded?
(0007466)
EagleByte (reporter)
2018-02-15 16:40

Two of the logs above have been attached.
(0007467)
EagleByte (reporter)
2018-02-15 17:06

Testing is done, logs are posted.

- Issue History
Date Modified Username Field Change
2018-02-14 20:54 EagleByte New Issue
2018-02-14 20:54 EagleByte File Added: arma3server_x64_2018-02-14_09-16-22.rpt
2018-02-14 20:57 EagleByte Priority none => high
2018-02-14 20:57 EagleByte OS => Windows
2018-02-14 20:57 EagleByte OS Version => 10
2018-02-14 20:57 EagleByte Platform => PC
2018-02-14 20:57 EagleByte Product Version => 0.4.5
2018-02-14 20:58 EagleByte File Added: Arma3_x64_2018-02-14_12-38-36.rpt
2018-02-14 23:37 PuFu Status new => closed
2018-02-14 23:37 PuFu Assigned To => PuFu
2018-02-14 23:37 PuFu Resolution open => duplicate
2018-02-14 23:37 PuFu Status closed => new
2018-02-14 23:37 PuFu Resolution duplicate => reopened
2018-02-14 23:38 PuFu Assigned To PuFu =>
2018-02-15 08:34 reyhard Note Added: 0007460
2018-02-15 08:34 reyhard Assigned To => reyhard
2018-02-15 08:34 reyhard Status new => feedback
2018-02-15 08:34 reyhard Note Edited: 0007460 View Revisions
2018-02-15 16:10 EagleByte Note Added: 0007464
2018-02-15 16:10 EagleByte Status feedback => new
2018-02-15 16:24 EagleByte Note Edited: 0007464 View Revisions
2018-02-15 16:30 EagleByte Note Edited: 0007464 View Revisions
2018-02-15 16:34 reyhard Note Added: 0007465
2018-02-15 16:34 reyhard Status new => feedback
2018-02-15 16:38 EagleByte Note Edited: 0007464 View Revisions
2018-02-15 16:39 EagleByte File Added: Crash RPTs.zip
2018-02-15 16:40 EagleByte Note Added: 0007466
2018-02-15 16:40 EagleByte Status feedback => new
2018-02-15 16:49 EagleByte Note Edited: 0007464 View Revisions
2018-02-15 16:56 EagleByte Note Edited: 0007464 View Revisions
2018-02-15 17:05 EagleByte Note Edited: 0007464 View Revisions
2018-02-15 17:05 EagleByte File Added: RHS_Su25SM_vvs.rpt
2018-02-15 17:06 EagleByte Note Added: 0007467
2018-05-27 21:20 reyhard Status new => resolved
2018-05-27 21:20 reyhard Fixed in Version => 0.4.6
2018-05-27 21:20 reyhard Resolution reopened => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker